summaryrefslogtreecommitdiff
path: root/post-apt.d/40git-rm
diff options
context:
space:
mode:
Diffstat (limited to 'post-apt.d/40git-rm')
-rwxr-xr-xpost-apt.d/40git-rm10
1 files changed, 10 insertions, 0 deletions
diff --git a/post-apt.d/40git-rm b/post-apt.d/40git-rm
new file mode 100755
index 0000000..4a47435
--- /dev/null
+++ b/post-apt.d/40git-rm
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+TAB=" "
+
+for file in $(git ls-files --deleted); do
+ if [ ! -d "$file" ]; then
+ git rm "$file"
+ fi
+done